Bug 76470 - setfont is unable to activate ACM when executed from startup scripts
setfont is unable to activate ACM when executed from startup scripts
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kbd (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-22 02:11 EDT by Sinitsyn Valentine
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-07 15:02:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sinitsyn Valentine 2002-10-22 02:11:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.1) Gecko/20020826

Description of problem:
setfont is unable to activate ACM when executed from startup scripts. This
affects output of the startup messages (like "Bringing up interface eth0") if
/etc/sysconfig/i18n sets LANG variable to anything except "en_XX"


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Edit /etc/sysconfig/i18n and set LANG to "ru_RU.koi8r" (or to any other
locale which uses non-latin symbols)
2. Restart your system
3. Look at the messages during reboot & startup processes
	

Actual Results:  Locale-specific characters are not printed

Expected Results:  Locale-specific characters are printed

Additional info:

The root of a problem is that sysfont.c uses 'printf("\033(K");' statement to
activate a console. Thus it writes control sequence to stdout, which is
redirected by rc.d scripts. The possible solution is to write control sequence
directly to the console (i.e. using something like 'write(console_fd,
"\033(K",3);'). A good example of this is consoletool's consolechar.c program.

Another (simplier) solution is to add 'echo -ne "\033(K" > /dev/console" command
to one of the scripts (rc.d or /sbin/setsysfont)
Comment 1 Sinitsyn Valentine 2002-10-22 02:16:20 EDT
Well, to be rigorous, this applies only to the locales which require ACM
(actually many of them require)
Comment 2 Eido Inoue 2003-02-07 15:02:04 EST
this is not necessarily kbd and more of an initscripts (and other pkgs) problem,
but has been fixed in the latest betas and rawhide. I'm seeing koi8r on test
installs here.

Note You need to log in before you can comment on or make changes to this bug.